
Application: gvSIG desktop - gvSIG bugs #2071
Can't load raster files
10/22/2013 01:00 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2205 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I installed gvSIG 2.1 BN 2205 (typical installation) and tryed to load two raster files with different results:

1. A tiff file. I got and error message (see gvSIG-load_tiff.log file attached).

2. A jpeg2000 file. The application crashed (see gvSIG-load_jp2.log file attached).

Also attached gvSIG-environ.info file.

History
#1 - 10/23/2013 10:46 AM - Manuel Madrid
- Assignee set to Ignacio Brodín

#2 - 11/05/2013 10:30 AM - Ignacio Brodín

The directory of natives was not being copied and the application couldn't open tiff.
gvsig-raster:r2253

I think that the problem with jp2 is not the same. Could you execute the next command in a linux console and paste the result in this ticket? Run it in
the path of your gvSIG 2.1 /native

echo "libNCSCnet.so"; ldd libNCSCnet.so; echo "libNCSEcwC.so"; ldd libNCSEcwC.so; echo "libNCSEcw.so"; ldd libNCSEcw.so; echo
"libNCSUtil.so"; ldd libNCSUtil.so; echo "libjecw2.0.0.so"; ldd libjecw2.0.0.so

#3 - 11/05/2013 11:38 AM - Manuel Madrid

Hi Nacho. Here you are:

-----------
mmadrid@mmadrid-VirtualBox:~/gvSIG-desktop/gvSIG-desktop-2.1.0_2205_2/native$ echo "libNCSCnet.so"; ldd libNCSCnet.so; echo
"libNCSEcwC.so"; ldd libNCSEcwC.so; echo "libNCSEcw.so"; ldd libNCSEcw.so; echo "libNCSUtil.so"; ldd libNCSUtil.so; echo "libjecw2.0.0.so"; ldd
libjecw2.0.0.so
libNCSCnet.so
    linux-gate.so.1 =>  (0xb7791000)
    libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb7761000)
    librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb7758000)
    libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb7672000)
    libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb7646000)
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb749d000)
    libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb747f000)
    /lib/ld-linux.so.2 (0xb7792000)
    libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb7464000)
libNCSEcwC.so
    linux-gate.so.1 =>  (0xb774c000)
    libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb7730000)
    librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb7727000)
    libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb7641000)
    libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb7615000)
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb746c000)
    libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb744e000)
    /lib/ld-linux.so.2 (0xb774d000)
    libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb7433000)
libNCSEcw.so
    linux-gate.so.1 =>  (0xb776f000)
    libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb7633000)
    librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb762a000)
    libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb7544000)
    libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb7518000)
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb736f000)
    libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb7351000)
    /lib/ld-linux.so.2 (0xb7770000)
    libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb7336000)
libNCSUtil.so
    linux-gate.so.1 =>  (0xb770d000)
    libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb76d4000)
    librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb76cb000)
    libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb75e5000)
    libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb75b9000)
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb7410000)
    libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb73f2000)
    /lib/ld-linux.so.2 (0xb770e000)
    libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb73d7000)
libjecw2.0.0.so
    linux-gate.so.1 =>  (0xb774e000)
    libNCSEcw.so.0 => not found
    libNCSEcwC.so.0 => not found
    libNCSUtil.so.0 => not found
    libNCSCnet.so.0 => not found
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb7589000)
    /lib/ld-linux.so.2 (0xb774f000)
----------------------

If you need anything else just tell me.
Manuel.

#4 - 11/19/2013 09:21 AM - Ignacio Brodín
- Status changed from New to Fixed

I found the problem in jp2 files. It was the external georeferencing in the RMF file. You can test it removing this file or wait to the next build and not
remove the rmf.
gvsig-raster:r2304

#5 - 01/13/2014 09:37 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#6 - 01/28/2014 09:48 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_load_tiff.log 436 KB 10/22/2013 Manuel Madrid
gvSIG_load_jp2.log 400 KB 10/22/2013 Manuel Madrid
gvSIG-environ.info 9.43 KB 10/22/2013 Manuel Madrid
